Bug 976445 - page allocation failure
page allocation failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 11:06 EDT by John Reiser
Modified: 2013-07-31 22:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:29:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog excerpt with page allocation failure (9.57 KB, text/plain)
2013-06-20 11:06 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2013-06-20 11:06:18 EDT
Created attachment 763491 [details]
syslog excerpt with page allocation failure

Description of problem: syslog (/var/log/messages) contains report "page allocation failure" possibly related to plugging in USB2.0 flash memory device on "busy" system.


Version-Release number of selected component (if applicable):
kernel-3.8.12-100.fc17.x86_64

How reproducible: one event


Steps to Reproduce:
1. Plug in USB2.0 flash memory device while applydeltaiso is generating Fedora-19-Final-TC6-i386-DVD.iso (4.5GB)
2. wait for applydeltaiso to finish
3. livecd-iso-to-disk TC6.iso /dev/sdc1

Actual results: livecd-iso-to-disk complains that /dev/sdc1 is not a block device.  syslog says device was recognized as 480Mb/s.  syslog also contains report on "page allocation failure".  I will attach the contiguous syslog range.  I believe the relevant synopsis is:
-----
kernel: [885635.137065] usb 1-9: new high-speed USB device number 27 using ehci-pci
    [[snip]]
kernel: [885635.276374] scsi27 : usb-storage 1-9:1.0
mtp-probe: checking bus 1, device 27: "/sys/devices/pci0000:00/0000:00:13.5/usb1/1-9"
mtp-probe: bus: 1, device: 27 was not an MTP device
kernel: [885636.343105] scsi 27:0:0:0: Direct-Access              Patriot Memory   PMAP PQ: 0 ANSI: 4
kernel: [885636.345198] sd 27:0:0:0: Attached scsi generic sg3 type 0
kernel: [885636.725441] sd 27:0:0:0: [sdc] 15466496 512-byte logical blocks: (7.91 GB/7.37 GiB)
kernel: [885636.727981] sd 27:0:0:0: [sdc] Write Protect is off
kernel: [885636.730481] sd 27:0:0:0: [sdc] No Caching mode page present
kernel: [885636.730488] sd 27:0:0:0: [sdc] Assuming drive cache: write through
kernel: [885636.739236] sd 27:0:0:0: [sdc] No Caching mode page present
kernel: [885636.739250] sd 27:0:0:0: [sdc] Assuming drive cache: write through
kernel: [885636.741855] kworker/u:53: page allocation failure: order:4, mode:0x10c0d0
    [[snip]]
kernel: [885636.802063] 885056 pages shared
kernel: [885636.802066] 567001 pages non-shared
kernel: [885636.813609] sd 27:0:0:0: [sdc] No Caching mode page present
kernel: [885636.813624] sd 27:0:0:0: [sdc] Assuming drive cache: write through
kernel: [885636.813633] sd 27:0:0:0: [sdc] Attached SCSI removable disk
   <<*NOTE* no recognition of partitions on sdc >>
   [[snip]]
kernel: [885843.791912] usb 1-9: USB disconnect, device number 27
kernel: [885846.482072] usb 1-10: new high-speed USB device number 28 using ehci-pci
    [[snip]]
kernel: [885846.621169] scsi28 : usb-storage 1-10:1.0
mtp-probe: checking bus 1, device 28: "/sys/devices/pci0000:00/0000:00:13.5/usb1/1-10"
mtp-probe: bus: 1, device: 28 was not an MTP device
kernel: [885847.687085] scsi 28:0:0:0: Direct-Access              Patriot Memory   PMAP PQ: 0 ANSI: 4
kernel: [885847.689100] sd 28:0:0:0: Attached scsi generic sg3 type 0
kernel: [885848.069817] sd 28:0:0:0: [sdc] 15466496 512-byte logical blocks: (7.91 GB/7.37 GiB)
kernel: [885848.072314] sd 28:0:0:0: [sdc] Write Protect is off
kernel: [885848.074830] sd 28:0:0:0: [sdc] No Caching mode page present
kernel: [885848.074842] sd 28:0:0:0: [sdc] Assuming drive cache: write through
kernel: [885848.083223] sd 28:0:0:0: [sdc] No Caching mode page present
kernel: [885848.083237] sd 28:0:0:0: [sdc] Assuming drive cache: write through
kernel: [885848.112906]  sdc: sdc1
    <<*NOTE* partition sdc1 is recognized after unplug + re-plug of USB2.0 flash memory device >>

Expected results: no "page allocation failure"


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 19:38:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 22:29:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.